Skip to main content
`Ctrl`+`K`

# DMPlexSetMaxProjectionHeight

In DMPlexProjectXXXLocal() functions, the projected values of a basis function’s dofs are computed by associating the basis function with one of the mesh points in its transitively-closed support, and evaluating the dual space basis of that point.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetMaxProjectionHeight(DM dm, PetscInt height)

## Input Parameters

- dm - the `DMPLEX` object

- height - the maximum projection height >= 0

## Notes

A basis function is associated with the point in its transitively-closed support whose mesh height is highest (w.r.t. DAG height), but not greater than the maximum projection height, which is set with this function. By default, the maximum projection height is zero, which means that only mesh cells are used to project basis functions. A height of one, for example, evaluates a cell-interior basis functions using its cells dual space basis, but all other basis functions with the dual space basis of a face.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetMaxProjectionHeight()`, `DMProjectFunctionLocal()`, `DMProjectFunctionLabelLocal()`

## Level

advanced

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages